% use the conversion function for temperatures on a list
% to be used on Temps = [{"Milan", {c,10}}, {"Turin", {c,12}}]
-module(convList).
-export([convList/1]).

map(Fun, []) -> 
    [];    
map(Fun, [First|Rest]) -> 
    [Fun(First)|map(Fun,Rest)].

convList(Temps) ->
    Fun   = fun(X) -> 
		    {City,Temp} = X,
		    {City,conv:convert(Temp)} end,
    map(Fun,Temps).
